function verifyData() {
  // Create our TDVerify object here with all of our inputs.

  var verify = $.tdverify({
    // Use TowerData's domain authentication for best security 
    // or set your license key here
     'license' : 'your key', 
     

    // This is the data to validate
    // The values here are the IDs of the input fields.
    // See full_demo.js on how to use jQuery or DOM to specify fields.
    'email' : 'email_input'
  });

  // These are the API settings. 
  verify.set({
    'settings' : {
      'valid_email' : 'mailbox', // Enable email validation of mailbox.
                                 // Use value of 'syntaxdomain' for syntax and 
                                 // domain validation only.
      'timeout'     : 5          // Set timeout to 5 seconds
    }
  });

  verify.process({
    'onSuccess' : validateEmail,
    'onError'   : onError
  });
}


function validateEmail(data, textStatus, xhr) {

  if (data && data.email) {
    // 
    var button = $("#verify_button"),
        emailError = $("#email_error"),
        emailCorrections = $("#email_corrections");

    // If validation is ok 
    if(data.email.ok === true) {

      // Enable submit button
      button.attr('disabled', false);
      // Remove error messages
      emailError.text("");
      emailCorrections.text("");

    } else{

      // Disable button 
      button.attr('disabled', true);

      // Put same error text 
      emailError.text(data.email.status_desc);

      // Add correction error
      // Correction is Array, with possible emails
      var correctionsText = "";
      if (data.email && data.email.length > 0){
        correctionsText = "Corrections: ";
        for (var i = 0, l = data.email.length; i < l; i ++) {
            correctionsText += data.email.corrections[i];
        }
      }

      emailCorrections.text(correctionsText);

    }

  }


}

function onError(xhr, error) {
  alert('An error occurred while processing this request. Probably a malformed request or you are not authenticated.');
}

// Unobtrusive approach
$( document ).ready(function() {
    $("#email_input").blur(verifyData);
});
